/*
Theme Name: Frost Child
Template: frost
Author: Suhde
Author URI: https://suhde.fi/
Description: Frost child theme
Version: 1.0.1
License: GNU General Public License v3
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: frost-child
*/


/* Defaults
---------------------------------------- */


/* Varmista, että gridin solut venyvät */
.wp-block-grid,
.wp-block-columns {
  align-items: stretch;
}

/* Tee nostokorteista pystysuunnassa flex-kontit */
.cta-card {
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* Anna kortin sisällölle venymiskäyttäytyminen.
   Jos kortissa on sisempi .wp-block-group__inner-container tai .wp-block-cover__inner, valitse ne myös. */
.cta-card > * {
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
}

/* Vie nappi tai buttons-ryhmä aina alas */
.cta-card .wp-block-buttons,
.cta-card .button,
.cta-card .wp-block-button {
  margin-top: auto;
}

/* Jos Frost tai muu tyyli asettaa korkeuden inline-tyyleillä, tarvittaessa tärkeämpi sääntö: */
.cta-card {
  min-height: 1px; /* triggeröi venymisen joissain selaimissa */
}


/* Piilota elementti mobiilissa */
@media (max-width: 767px) {
  .hide-on-mobile {
    display: none !important;
  }
}
/* Rajoita pitkät tekstirivit */
.container p,
.container .wp-block-paragraph {
  max-width: 750px;
  margin-left: auto;
  margin-right: auto;
}
/* Tekstin varjo */
   .shadow {
      font-size: 36px;
      text-shadow: 1px 1px 3px rgba(0,0,0,0.35);
    }
/* Linkkien boldaus */
.bold-link a {
  font-weight: 700 !important;
}

.cover-link {
  position: relative;
}
/* Cover-elementti linkiksi */
.cover-link a::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
}


.wp-block-search__button.has-icon{
	padding-left: 1px;
	padding-right: 0px;
	padding-top: 0px;
	padding-bottom: 0px;
}
